Package ru.bitel.bgbilling.kernel.event

# Class AbstractExecutorEventWorker

java.lang.Object
ru.bitel.bgbilling.kernel.event.AbstractExecutorEventWorker

All Implemented Interfaces:
  `javax.jms.MessageListener`, `ru.bitel.bgbilling.kernel.application.server.Lifecycle`, `EventListener<ru.bitel.bgbilling.kernel.event.common.Event>`

Direct Known Subclasses:
  `ExecutorEventWorker`

    public abstract class AbstractExecutorEventWorker
    extends java.lang.Object
    implements EventListener<ru.bitel.bgbilling.kernel.event.common.Event>, javax.jms.MessageListener, ru.bitel.bgbilling.kernel.application.server.Lifecycle

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected ru.bitel.bgbilling.kernel.event.AbstractConsumer` | `consumer` |
  `protected int` | `moduleId` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AbstractExecutorEventWorker​(EventProcessor ep, java.lang.Class<? extends ru.bitel.bgbilling.kernel.event.common.Event> clazz, int moduleId, int pluginId, java.lang.String query)` |
  `AbstractExecutorEventWorker​(EventProcessor ep, java.lang.String destination, int moduleId, int pluginId, java.lang.String query, java.lang.Class<?>... clazz)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `shutdown()` |
  `void` | `start()` |
  `void` | `stop()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.event.EventListener

  `notify`

  ### Methods inherited from interface javax.jms.MessageListener

  `onMessage`

- ## Field Details

  - ### consumer

    protected final ru.bitel.bgbilling.kernel.event.AbstractConsumer consumer

  - ### moduleId

    protected final int moduleId

- ## Constructor Details

  - ### AbstractExecutorEventWorker

    public AbstractExecutorEventWorker​(EventProcessor ep, java.lang.Class<? extends ru.bitel.bgbilling.kernel.event.common.Event> clazz, int moduleId, int pluginId, java.lang.String query) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### AbstractExecutorEventWorker

    public AbstractExecutorEventWorker​(EventProcessor ep, java.lang.String destination, int moduleId, int pluginId, java.lang.String query, java.lang.Class<?>... clazz) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

- ## Method Details

  - ### start

    public void start() throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `start` in interface `ru.bitel.bgbilling.kernel.application.server.Lifecycle`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### stop

    public void stop() throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `stop` in interface `ru.bitel.bgbilling.kernel.application.server.Lifecycle`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### shutdown

    public void shutdown() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`